# Generated from sqs_consumer-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sqs_consumer

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: AWS SQS consumer library
License: Nonstandard
URL: https://instructure.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(factory_girl) >= 4.8
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
An AWS SQS consumer library that consumes messages from a queue and processes
them.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
